Subject: Re: bug#20139: 25.0.50; eval-buffer ignores lexical-binding

From: Stefan Monnier <[email-masked]>
Date: Thu, 19 Mar 2015 12:28:52 -0400

>> The basic rule for me is "never (setq lexical-binding ...)".  Instead,
>> either add the file-local magic marker and manipulate it as a whole
>> buffer/file, or let-bind lexical-binding around the call to
>> `eval-region', or pass the second arg to `eval'.
> Let-binding `lexical-binding' does not affect `eval-buffer', either.

Yes: note that I distinguish between "whole buffer/file" and the other
case (the other case being when you evaluate some chunk of code).

        Stefan